Correct version

I have installed jitsi a few day ago on my ubuntu 18.04 system.
Followed these instructions.

I noticed there are some differences in the UI on my server vs meet.jit.si
One of them is the list of languages - on meet.jit.si there are more and they are sorted alphabetically.
On my server not sorted and missing some languages.

How can i install the same version that is running on meet.jit.si?

Here is my version of jitsi:

jitsi-meet:all 2.0.4627-1
jitsi-meet-web:all 1.0.4127-1
jitsi-videobridge2:all 2.1-202-g5f9377b9-1
jitsi-meet-prosody:all 1.0.4127-1

meet.jit.si most of the time is closer to the unstable repo.
We will be updating these days stable with latest meet.jit.si release that is being deployed at the moment.

How do i know when a new stable is released - is this the page to check?
https://download.jitsi.org/stable/

Also, which project do you think the dropdown with the list of languages is part of:
jitsi-meet-web
jitsi-meet-web-config

or something else?

There is this page.

This github repository.

These names are not project names, they are debian packages names.
For Debian packaging, jitsi-meet is a global package installing everything needed for a server, jitsi-meet-web is the packaging of the jitsi-meet github repository, and jitsi-meet-web-config holds a config file template, some config example files, and a few Debian packaging files.

I like you guys, you are really working and addressing people’s questions.
Thank you!